Skip to content
Permalink
Browse files
debian packaging update in preparation of launchpad builds for ubuntu…
… gutsy and hardy

git-svn-id: http://svn.osgeo.org/qgis/branches/Release-0.10.0@8384 c8812cc2-4d05-0410-92ff-de0c093fc19c
  • Loading branch information
jef committed Apr 28, 2008
1 parent 52fd865 commit c56801edeadae2018bcbe655bbd11de0686d9fa8
Showing with 19 additions and 9 deletions.
  1. +11 −0 debian/changelog
  2. +8 −9 debian/control
@@ -1,3 +1,14 @@
qgis (0.10.0-1) gutsy; urgency=low

* updated Maintainer field
* updated version for sip build dependency and removed old libgdal<1.5
dependencies.
* removed explicit shared library dependency for qgis and qgis-grass-plugin.
* removed recommends for qt4-designer on libqgis1-dev, because there's also
a depends.

-- Jürgen E. Fischer <jef@norbit.de> Mon, 28 Apr 2008 22:21:53 +0200

qgis (0.10.0) gutsy; urgency=low

* This release includes over 120 bug fixes and enchancements
@@ -1,20 +1,20 @@
Source: qgis
Section: science
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 5.0.0), libgdal1-dev | libgdal1-1.3.2-dev | libgdal1-1.4.0-dev , libpq-dev,
Maintainer: Quantum GIS developers <qgis-developer@lists.osgeo.org>
Build-Depends: debhelper (>= 5.0.0), libgdal1-dev, libpq-dev,
libgeos-dev (>= 2.0.1-1), dpatch, grass-dev, libsqlite3-dev, libgsl0-dev, proj, libexpat1-dev,
flex, bison, python-dev, cmake (>=2.4.3) , python-sip4, python-sip4-dev, python-qt4-dev,
sharutils, sip4 (>= 4.4), libqt4-core (>=4.2.0), libqt4-dev (>=4.2.0), libqt4-gui (>=4.2.0),
libqt4-qt3support (>=4.2.0), libqt4-sql (>=4.2.0), python-qt4 (>=4.0.0), python-qt4-dev (>=4.0.0)
flex, bison, python-dev, cmake (>=2.4.3), python-sip4 (>= 4.5.0), python-central (>=0.5), python,
sharutils, sip4 (>= 4.5), libqt4-core (>=4.2.0), libqt4-dev (>=4.2.0), libqt4-gui (>=4.2.0),
libqt4-qt3support (>=4.2.0), libqt4-sql (>=4.2.0), python-qt4 (>=4.0.0), python-qt4-dev (>=4.0.0),
python-sip4-dev (>= 4.5.0)
Standards-Version: 3.7.2
XS-Python-Version: current
Homepage: http://qgis.org/

Package: qgis
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqgis-core0.10, libqgis-gui0.10
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qgis-plugin-grass
XB-Python-Version: ${python:Versions}
Description: Geographic Information System (GIS)
@@ -62,7 +62,6 @@ Depends: qgis (= ${binary:Version}), libgdal1-dev | libgdal1-1.3.2-dev , libpq-d
Provides: libqgis-dev
Conflicts: libqgis-dev, qgis-dev
Replaces: qgis-dev
Suggests: qt4-designer
Description: QGIS Geographic Information System - development files
QGIS is a Geographic Information System (GIS)
which manages, analyzes and display databases of
@@ -73,7 +72,7 @@ Description: QGIS Geographic Information System - development files

Package: qgis-plugin-grass
Architecture: any
Depends: qgis (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libgdal1-1.4.0-grass | libgdal1-1.3.2-grass, libqgisgrass0.10
Depends: qgis (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libgdal1-1.5.0-grass
Description: Plugin for accessing GRASS data from QGIS
This plugin enables a GRASS data access toolbox in the QGIS
geographic data viewer.

0 comments on commit c56801e

Please sign in to comment.